Skip to main content
GET
Read Wallet

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Path Parameters

id
string<uuid4>
required

The wallet ID.

Response

Successful Response

A wallet represents your balance with an organization.

You can top-up your wallet and use the balance to pay for usage.

id
string<uuid4>
required

The stable identifier for this record.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

customer_id
string<uuid4>
required

The ID of the customer that owns the wallet.

Example:

"992fae2a-2a17-4b7a-8d9e-e287cf90131b"

balance
integer
required

The current balance of the wallet, in cents.

Example:

5000

currency
string
required

The currency of the wallet.

Example:

"usd"